View Issue Details

IDProjectCategoryView StatusLast Update
0002784Far ManagerCopy/Movepublic2014-09-28 11:57
ReporterPxAssigned ToDrKnS 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002784: Падение при ручном вводе адреса сетевой папки для копирования
DescriptionСлучайно обнаружил после обновления на билд 4067, при указании адреса сетевой папки при копировании Far выдаёт следующее окно:
╔══════════ Exception occurred ══════════╗
║ invalid string position ║
╟────────────────────────────────────────╢
║ { Terminate Far } [ Debug ] [ Ignore ] ║
╚════════════════════════════════════════╝
Файл, естественно, не копируется. Воспроизводится в последнем билде 4072 без плагинов
Steps To Reproduce1) Запускаем Фар, выбираем любой файл (я взял Far.exe.example.ini), вызываем диалог копирования по F5
2) В диалоге копирования вводим строку \\rumskapp29\source (возможно есть и другие, но с этой 100% повторяемость)
3) Фар выдаёт указанное выше окно
Additional Information0:000> .ecxr
*** WARNING: Unable to verify checksum for Far.exe
eax=00008003 ebx=00000000 ecx=e73f0000 edx=0012df88 esi=003bbc1c edi=003bbcb0
eip=76d33226 esp=003bbc18 ebp=003bbc20 iopl=0 nv up ei pl zr na pe nc
cs=0023 ss=002b ds=002b es=002b fs=0053 gs=002b efl=00000246
KERNELBASE!DebugBreak+0x2:
76d33226 cc int 3
0:000> k
  *** Stack trace for last set context - .thread/.cxr resets it
 # ChildEBP RetAddr
00 003bbc14 011fe47a KERNELBASE!DebugBreak+0x2
01 003bbc20 011fe64c Far!attach_debugger+0x2a
02 003bbcbc 013a8fe8 Far!ProcessStdException+0x18c
03 003bfdcc 013a7de6 Far!mainImpl+0x1078
04 003bfe18 01652319 Far!wmain+0xa6
05 003bfe64 016521df Far!__tmainCRTStartup+0x129
06 003bfe6c 74ea338a Far!wmainCRTStartup+0xf
07 003bfe78 77439f72 kernel32!BaseThreadInitThunk+0xe
08 003bfeb8 77439f45 ntdll!__RtlUserThreadStart+0x70
09 003bfed0 00000000 ntdll!_RtlUserThreadStart+0x1b
TagsNo tags attached.
Build4076

Activities

Px

2014-09-02 23:49

reporter   bugnote:0012971

Прогнал тесты на регрессию, выяснил, что ошибся, проблема уже год присутствует, только раньше каким-то образом везло на неё не натыкаться. Первый проблемный билд - 3563/r10741
drkns 26.07.2013 21:44:01 +0200 - build 3563
1. wstring включён по умолчанию. Возможны разнообразные весёлые падения.
Как в воду глядел ;)

DrKnS

2014-09-03 02:07

administrator   bugnote:0012973

Проблемы как бы сильно грубже, 3563 всего лишь делает их явными.

4076.

Px

2014-09-03 02:30

reporter   bugnote:0012974

Ну, я во время тестов на ревизиях в районе 3500 видел, что оно ещё папку локально создавало с названием сервера, но ближе к 355х проблема исчезла, потому думал, что решено :)
trunk собрал, на этом теперь не падает, так что можно закрывать

Issue History

Date Modified Username Field Change
2014-08-30 23:11 Px New Issue
2014-09-02 23:49 Px Note Added: 0012971
2014-09-03 01:57 DrKnS Assigned To => DrKnS
2014-09-03 01:57 DrKnS Status new => assigned
2014-09-03 02:07 DrKnS Note Added: 0012973
2014-09-03 02:07 DrKnS Status assigned => feedback
2014-09-03 02:30 Px Note Added: 0012974
2014-09-03 02:30 Px Status feedback => assigned
2014-09-28 11:57 DrKnS Build => 4076
2014-09-28 11:57 DrKnS Status assigned => closed
2014-09-28 11:57 DrKnS Resolution open => fixed
2014-09-28 11:57 DrKnS Fixed in Version => 3.0